Go Down

Topic: Problemi sulla seriale (Read 952 times) previous topic - next topic

AnTrea

Salve

Nelle ultime ore sto giocando con i moduli bluetooth e sto avendo problemi con il monitor seriale.
Ho una luigino328 e ide 1.0.1 (provato anche sulla 1.0.2).

Non riesco a cambiare il baudrate del terminale (con arduino collegato), appena lo cambio mi escono errori su errori...

Non ho mai avuto questo problemi, l'output degli errori è il seguente:

Code: [Select]
Exception in thread "AWT-EventQueue-0" java.lang.StringIndexOutOfBoundsException: String index out of range: -1
at java.lang.String.substring(String.java:1937)
at processing.app.SerialMonitor$6.actionPerformed(SerialMonitor.java:137)
at javax.swing.JComboBox.fireActionEvent(JComboBox.java:1240)
at javax.swing.JComboBox.setSelectedItem(JComboBox.java:567)
at javax.swing.JComboBox.setSelectedIndex(JComboBox.java:603)
at javax.swing.plaf.basic.BasicComboPopup$Handler.mouseReleased(BasicComboPopup.java:816)
at java.awt.AWTEventMulticaster.mouseReleased(AWTEventMulticaster.java:273)
at java.awt.Component.processMouseEvent(Component.java:6263)
at javax.swing.JComponent.processMouseEvent(JComponent.java:3267)
at javax.swing.plaf.basic.BasicComboPopup$1.processMouseEvent(BasicComboPopup.java:480)
at java.awt.Component.processEvent(Component.java:6028)
at java.awt.Container.processEvent(Container.java:2041)
at java.awt.Component.dispatchEventImpl(Component.java:4630)
at java.awt.Container.dispatchEventImpl(Container.java:2099)
at java.awt.Component.dispatchEvent(Component.java:4460)
at java.awt.LightweightDispatcher.retargetMouseEvent(Container.java:4574)
at java.awt.LightweightDispatcher.processMouseEvent(Container.java:4238)
at java.awt.LightweightDispatcher.dispatchEvent(Container.java:4168)
at java.awt.Container.dispatchEventImpl(Container.java:2085)
at java.awt.Window.dispatchEventImpl(Window.java:2475)
at java.awt.Component.dispatchEvent(Component.java:4460)
at java.awt.EventQueue.dispatchEvent(EventQueue.java:599)
at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:269)
at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:184)
at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:174)
at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:169)
at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:161)
at java.awt.EventDispatchThread.run(EventDispatchThread.java:122)

Arduino, MODs e DIY: blackstufflabs.com

leo72

E' un bug dell'IDE. O ti scarichi e compili l'IDE più recente dai sorgenti oppure devi lavorare con l'interfaccia in lingua inglese (cambi da File/Preferenze). Solo così puoi cambiare la velocità dal menu a tendina del terminale.

AnTrea


E' un bug dell'IDE. O ti scarichi e compili l'IDE più recente dai sorgenti oppure devi lavorare con l'interfaccia in lingua inglese (cambi da File/Preferenze). Solo così puoi cambiare la velocità dal menu a tendina del terminale.



ma lo sapete che per colpa di sto bug ho perso il primo premio!?!?!?!

perchè non viene fatto un post con tutti i know bug e messo su tutte le board? così se uno ha un problema vede se è noto... e non ci perde la testa!
Arduino, MODs e DIY: blackstufflabs.com

leo72


ma lo sapete che per colpa di sto bug ho perso il primo premio!?!?!?!

perchè non viene fatto un post con tutti i know bug e messo su tutte le board? così se uno ha un problema vede se è noto... e non ci perde la testa!


Guarda, da tempo io compilo sempre da sorgenti per avere l'ultima versione aggiornata. Quello è solo il più evidente dei bug, ce ne sono anche altri di minor rilievo che scopri solo se usi cose particolari. Questo vale sia per il ramo dell'IDE 1.0.x, che bene o male è stabile, sia per il ramo 1.5.x dove siamo ancora in fase di beta andante.
Per questo motivo ogni 4/5 giorni scarico e compilo, così sono sempre aggiornato.

AnTrea


Per questo motivo ogni 4/5 giorni scarico e compilo, così sono sempre aggiornato.


Si ma... è frustrante la cosa.

In verità non avevo tempo di fare una rapida ricerca anche pechè ero convinto che il problema fosse solo mio e del mio pc davvero vecchiotto.
Ma se ci fosse stato un cross-post del tipo "Know bugs" con un bell'indice dei problemi e delle soluzioni, subito avrei capito che non era un mio problema.

Mi fido troppo dell'ide forse? Della serie: "impossibile che sia un problema dell'ide, sono io che sono una mezza lampadina!" :)
Arduino, MODs e DIY: blackstufflabs.com

Subsea

Io invece uso ancora la cara e vecchia 22! Non mi ha mai tradito e mi trovo veramente bene con lei. P

leo72


Io invece uso ancora la cara e vecchia 22! Non mi ha mai tradito e mi trovo veramente bene con lei. P


Il problema del vecchio ramo 002x è che ormai tutte le lib sono fatte per l'IDE 1.0.x per cui si lavora con software vecchi. Come a suo tempo sconsigliai il passaggio all'IDE 1.0 appena questa uscì (era piena di bug più o meno seri), dalla versione 1.0.1 consiglio il passaggio alla nuova perché altrimenti si resta a lavorare con librerie vecchie.

AnTrea

dalla versione 1.0.1 consiglio il passaggio alla nuova perché altrimenti si resta a lavorare con librerie vecchie.


sarebbe interessante un sistema di update automatico di librerie e di moduli per l'ide... così da restare sempre aggiornati...
Arduino, MODs e DIY: blackstufflabs.com

PaoloP

Io consiglio di passare alla 1.0.2 e, se è possibile, alle self-build.  :D

Subsea

cioè quelle autocompilate? ma dive si trovano e che compilatore va usato?

leo72


cioè quelle autocompilate? ma dive si trovano e che compilatore va usato?



Ti segnalo questo post:
http://arduino.cc/forum/index.php/topic,111451.msg838050.html#msg838050
L'ho scritto per Linux ma va anche per Windows, basta scaricarsi il software mancante dal link in fondo al post.

Subsea

Grazie per la segnalazione, dopo provo a compilarlo. Comunque cos'è l ANT?

leo72

ant è il nome di uno strumento a riga di comando per eseguire operazioni di compilazione sui programmi in java.
http://it.wikipedia.org/wiki/Apache_Ant

Subsea

Capito. Grazie c ancora Leo! :)

Go Up